{% extends 'base.html.twig' %}

{% block title %}Task index{% endblock %}

{% block body %}

<div class="container">
    <div class="row align-items-center my-5">
        <div class="col-md-12 d-flex flex-wrap align-items-center">

            <h3 class="w-50">Task list</h3>

            <div class="w-50" style="margin: 2.8rem 0 1.68rem 0;">
                <a class="w-100 center" href="{{ path('task_new') }}">
                    <button class="btn w-100 waves-effect waves-light">New task
                        <i class="material-icons right">add</i>
                    </button>
                </a>
            </div>

            <h6 class="w-100  p-2 yellow_fade">This list contains {{ tasks|length }} tasks</h6>

        </div>
    </div>

    <div class="col-md-12">

    <table class="table centered">
        <thead>
            <tr>
                <th>Title</th>
                <th>Creation</th>
                <th>Status</th>
                <th>Update</th>
                <th>Modifier</th>
            </tr>
        </thead>
        <tbody>
        {% for task in tasks %}
            <tr>
                <td>{{ task.title }}</td>
                <td>{{ task.createdAt ? task.createdAt|date('Y-m-d') : '' }}</td>
                <td>{{ task.status }}</td>
                <td>{{ (task.createdAt == task.updatedAt) ? 'Never updated' : task.updatedAt | date('Y-m-d') }}</td>
                <td><a href="{{ path('task_edit', {'id': task.id}) }}"><i class="material-icons" style="color: #2bbbad">edit</i></a></td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>


    </div>
</div>
{% endblock %}